require('@assets/fonts/icons.font.js'); /* todo negenerovat css font, generovat classy pres sass funkci */

// create global $ and jQuery variables
$ = require('jquery');
global.$ = global.jQuery = $;

if (window.NodeList && !NodeList.prototype.forEach) {
   NodeList.prototype.forEach = Array.prototype.forEach;
}

require('@static/jquery/jquery.transit.js');
if (!MODULES.COMPONENTS) {
   require('@assets/js/wpj.lightbox.js');
}
require('@static/wpj/wpj.onReady.js');
require('@static/wpj/wpj.widget.js');
require('@static/wpj/wpj.storage.js');
require('@static/wpj/wpj.productSearch.js');
require('@static/wpj/wpj.focus.js');
require('@static/wpj/wpj.login.js');
require('@static/wpj/wpj.class.js');
require('@static/wpj/wpj.domUtils.js');
require('@static/wpj/wpj.template.js');
require('@static/wpj/wpj.blocekRuntime.ts');
require('@static/wpj/wpj.cookiebar.js');
require('@assets/js/wpj.form.js');
require('@static/wpj/wpj.recaptcha.js');

if (MODULES.INCOMAKER) {
   require('@static/wpj/wpj.incomaker.js');
}

if (MODULES.PAYMENTS__ESSOX_SPLATKY) {
   require('@assets/js/wpj.essox-payment.js');
}

if (MODULES.LABELS && !MODULES.JS_SHOP) {
   require('@assets/js/wpj.product-discount-coupon.js');
}

if (MODULES.RECOMMENDERS) {
   require('@assets/js/wpj.recommenders.js');
}
